Funding

Get crypto purchase quotes

POST
/ramp/quotes

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Request Body

application/json
  1. body
sourceAmount*string

Amount to pay, in sourceCurrencyCode units, as a decimal string (e.g. "50").

sourceCurrencyCode*string

Currency paid, e.g. "USD".

destinationCurrencyCode*string

Crypto received, e.g. "USDC".

paymentMethodType?string

Payment method to quote for (the provider's code).

Response Body

200

application/json
  1. response
[index: integer]?
Example Request
curl -X POST 'https://api.t.sufwankhalid.com/ramp/quotes' \  -H 'Content-Type: application/json' \  -d '{  "sourceAmount": "string",  "sourceCurrencyCode": "string",  "destinationCurrencyCode": "string"}'
Example Response
[  {    "serviceProvider": "string",    "transactionType": "string",    "sourceAmount": 0,    "sourceCurrencyCode": "string",    "destinationAmount": 0,    "destinationCurrencyCode": "string",    "exchangeRate": 0,    "totalFee": 0,    "networkFee": 0,    "transactionFee": 0,    "partnerFee": 0,    "fiatAmountWithoutFees": 0,    "paymentMethodType": "string",    "countryCode": "string",    "rampScore": 0,    "lowKyc": true  }]